<?php

require_once 'incfiles/core.php';
require_once 'incfiles/func.php';
require_once 'incfiles/auth.php';
require_once 'incfiles/user.php';
require_once 'incfiles/head.php';
if (isset($user) & $user['balans']<=1)
{
echo "извените,но вы не можете участвовать пока не наберете <b>300</b> Монет<br/>У вас <b>$user[balans]</b> Монет\n";
}


if (isset($_POST['save'])){



if (isset($_POST['ankbest']) && strlen2($_POST['ankbest'])<=32)
{
if (strlen2($_POST['ankbest'])<5) $err[]='Не заполнен комментарий не менее 5';

mysql_query("UPDATE `users` SET `balans` = '".($user['balls']-300)."' WHERE `id` = '$user[id]' LIMIT 1");


if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\!\.,]#ui',$_POST['ankbest']))$err[]='В поле "комментарии" используются запрещенные символы';
else {
$user['ankbest']=$_POST['ankbest'];
mysql_query("UPDATE `user` SET `ankbest` = '".$user['ankbest']."' WHERE `id` = '$user[id]' LIMIT 1");



if (isset($_POST['best']) && preg_match('#^([A-zА-я0-9 \-\,.]*)$#ui', $_POST['best']))
{
$user['best']=$_POST['best'];
mysql_query("UPDATE `user` SET `best` = '".intval($user['best'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный анкеты';




}
}
else $err[]='в комментарии нужно писать меньше :)';

if (!isset($err))msg('Вы успешно активировали лидера дня');

}

echo "<form method='post' action='?$passgen'>\n";

echo "Активировать:<br /><select name='best'><option value='2'>Участвовать</option><option value='1'>Не участвовать</option></select><br />\n";
echo "Комментарии под вашей анкетой:<br />\n<input type='text' name='ankbest' value='$user[ankbest]' maxlength='30' /><br />\n";

echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form><br />\n";

echo '
<b>Вы собираетесь активировать:</b><br />
Услуга: Лидеры сайта (показывать всем) <br />
---
<br /><b>Описание:</b> Услуга "Лидеры сайта" позволяет разместить и показывать вашу анкету (по очереди с другими лидерами) на главной странице сайта. Активируйте услугу и вас обязательно заметят! 
<br />---<br />
Обращаем ваше внимание. Мы оставляем за собой право приостановить действие услуги, в случае размещения в вашей анкете (или фото, видео) оскорблений, мата, рекламы, ссылок на другие сайты. 
<br />---<br />
<b>Цена: 300 баллов</b> ';


include_once 'incfiles/foot.php';
?>